TransferUtils (The Data Transfer Agent Service 1.1.0-SNAPSHOT API)
Date: 2012-10-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.agent.impl.utils
Class TransferUtils

    java.lang.Object
      org.gcube.datatransfer.agent.impl.utils.TransferUtils

    public class TransferUtils

extends Object

Field Summary
`protected static org.apache.axis.components.uuid.UUIDGen` | `uuidgen` The UUIDGen

Constructor Summary
`TransferUtils()`

Method Summary
`static Transfer` | `createTransferJDO(String transferId)`
`static TransferObject` | `createTransferObjectJDO(String transferId, org.gcube.datatransfer.agent.stubs.datatransferagent.TransferType type)`
`static String` | `getMimeType(String fileUrl)`
`static void` | `unzipArchive(String baseFolder, String archiveFile)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uuidgen

    protected static final org.apache.axis.components.uuid.UUIDGen uuidgen

  The UUIDGen

Constructor Detail

### TransferUtils

    public TransferUtils()

Method Detail

### createTransferJDO

    public static Transfer createTransferJDO(String transferId)

### createTransferObjectJDO

    public static TransferObject createTransferObjectJDO(String transferId,
                                                         org.gcube.datatransfer.agent.stubs.datatransferagent.TransferType type)

### unzipArchive

    public static void unzipArchive(String baseFolder,
                                    String archiveFile)
                             throws Exception

  Throws:
    `Exception`

### getMimeType

    public static String getMimeType(String fileUrl)
                              throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.